##########################################################################
### This is a script file for gnuplot---the '#' symbol denotes  comments.
###
### This script is very basic.  It will construct a 2-d plot from points
### in the file powSpec.plt and then display the graph on the screen.
###
###                           thomas l. gibson  May 11, 2017
##########################################################################
set nokey                                         ## No legend
set pointsize 2                                   ## Symbol point size = 2
set title  "Power Spectrum from DFFT"             ## title command
#set label 1 "a = 1.0, b = c = 0" at 2.0, 60 left  ## label on graph
set xlabel "frequency"                                    ## x-axis label
#set ylabel "f(x) = ax^2 + bx + c"                 ## y-axis label
plot "powSpec.plt" with lines #points pointtype 5   ## create plot
pause -1 "Enter to save or cntl c to exit\n"      ## show plot on screen
set terminal postscript enhanced                  ## Include postscript
set title  "Power Spectrum Plot"                  ## Redo plot with PS
#set label 1 "a = 1.0, b = c = 0" at 2.0, 60 left  ## label on graph
set output "powSpec.ps"                           ## PS output file
replot
print "\n\t*** Plot --> powSpec.ps ***\n"       ## Show name of PS file
exit                                              ## exit
